package SoE is

   --  the process that will pass all
   --+ odd numbers in the given interval
   --+ on to the chain of Sieve processes
   --+ for analysis
   --+--------------------------------
   task Odd;

   --  the type of the Sieve processes
   --+ (NOTE: in this version of the algorithm,
   --+  all communications among tasks are via
   --+  entries; hence we need no explicit
   --+  exchange buffers)
   --+--------------------------------
   task type Sieve_T (Id : Positive) is
      entry Relay (Int : Positive);
   end Sieve_T;
   type Sieve_Ref is access Sieve_T;

   --  the function that dynamically create
   --+ an process instance of type Sieve_T
   --+---------------------------------
   function New_Sieve return Sieve_Ref;
   --+---------------------------------

end SoE;

